# Get-RubrikFilesetTemplate

## SYNOPSIS

Retrieves details on one or more fileset templates known to a Rubrik cluster

## SYNTAX

```
Get-RubrikFilesetTemplate [[-Name] <String>] [-OperatingSystemType <String>] [-shareType <String>]
 [-PrimaryClusterID <String>] [-id <String>] [-Server <String>] [-api <String>] [<CommonParameters>]
```

## DESCRIPTION

The Get-RubrikFilesetTemplate cmdlet is used to pull a detailed data set from a Rubrik cluster on any number of fileset templates

## EXAMPLES

### EXAMPLE 1

```
Get-RubrikFilesetTemplate -Name 'Template1'
```

This will return details on all fileset templates named "Template1"

### EXAMPLE 2

```
Get-RubrikFilesetTemplate -OperatingSystemType 'Linux'
```

This will return details on all fileset templates that can be used against a Linux operating system type

### EXAMPLE 3

```
Get-RubrikFilesetTemplate -id '11111111-2222-3333-4444-555555555555'
```

This will return details on the fileset template matching id "11111111-2222-3333-4444-555555555555"

## PARAMETERS

### -Name

Retrieve fileset templates with a name matching the provided name. The search is performed as a case-insensitive infix search.

```yaml
Type: String
Parameter Sets: (All)
Aliases: FilesetTemplate

Required: False
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -OperatingSystemType

Filter the summary information based on the operating system type of the fileset. Accepted values: 'Windows', 'Linux'

```yaml
Type: String
Parameter Sets: (All)
Aliases: operating_system_type

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -shareType

Filter the summary information based on the share type of the fileset. Accepted values: 'NFS', 'SMB'

```yaml
Type: String
Parameter Sets: (All)
Aliases: share_type

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -PrimaryClusterID

Filter the summary information based on the primarycluster\_id of the primary Rubrik cluster. Use 'local' as the primary\_cluster\_id of the Rubrik cluster that is hosting the current REST API session.

```yaml
Type: String
Parameter Sets: (All)
Aliases: primary_cluster_id

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -id

The ID of the fileset template

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: None
Accept pipeline input: True (ByPropertyName)
Accept wildcard characters: False
```

### -Server

Rubrik server IP or FQDN

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: $global:RubrikConnection.server
Accept pipeline input: False
Accept wildcard characters: False
```

### -api

API version

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: $global:RubrikConnection.api
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

## OUTPUTS

## NOTES

Written by Chris Wahl for community usage Twitter: @ChrisWahl GitHub: chriswahl

## RELATED LINKS

<https://rubrik.gitbook.io/rubrik-sdk-for-powershell/command-documentation/reference/get-rubrikfilesettemplate>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://rubrik.gitbook.io/rubrik-sdk-for-powershell/devel/command-documentation/reference/get-rubrikfilesettemplate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
